<!DOCTYPE html>
<html lang="fr">
    <head>
        <title>Création compte</title>
        <meta charset="UTF-8">
        <meta name=“keywords” content="Sport">
        <meta name="keywords" content="SportTrack">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <meta name="description" content="Page de modification sur SportTrack">
        <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.1/dist/css/bootstrap.min.css" rel="stylesheet"><!-- this is the bootstrap library import -->
        <link rel="stylesheet" href="style.css" /><!--this is the link to the css stylesheet-->
        
    </head>
    
    <body>
        <header>
            <div class="container-fluid p-3 custom-bg text-white text-center" >
                <h1>Sport Track</h1>
                <p>Modifiez vos informations</p>
            </div>
            <nav class="navbar navbar-expand-sm nav-bg navbar-dark"> <!--Navbar allowing to naviguate between the pages-->
                <a id="compte-link" class="navbar-brand">Compte</a>
                <div class="collapse navbar-collapse" id="collapsibleNavbar">
                <ul class="navbar-nav">
                    <li class="nav-item">
                        <a class="nav-link" href="chargementfichier.html">Activité</a><!--link to the "Activité" page-->
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="connexion.html">Connexion</a><!--link to the "Connexion" page-->
                    </li> 
                    <li class="nav-item">
                        <a class="nav-link" href="inscription.html">Inscription</a><!--link to the "Inscription" page-->
                    </li>
                    <li class="nav-item active">
                        <a class="nav-link" href="modification.html">Modification</a><!--link to the "Modification" page-->
                    </li> 
                </ul>
                </div>  
            </nav>
        </header>
        <main id="main-modification">
            <div class="center-form">
                <form id="register" action="/index.html">
                    <div class="form-container">
                        <h2>Modification des informations</h2>
                        <fieldset>
                            <div class="form-group row"><!--The row class is used to hold columns in it  -->
                                <label for="first-name" class="col-sm-3 col-form-label" >Nom</label><!--The col-sm-3 class define the space the label should take inside the row-->
                                <div class="col-sm-9">
                                    <input class="form-control" placeholder="Nom" id="first-name" name="first-name" type="text" required />
                                </div>
                            </div>
                            <div class="form-group row">
                                <label for="last-name" class="col-sm-3 col-form-label" >Prénom</label>
                                <div class="col-sm-9">
                                    <input class="form-control" placeholder="Prénom" id="last-name" name="last-name" type="text" required />
                                </div>
                            </div>
                            <div class="form-group row">
                                <label for="date" class="col-sm-3 col-form-label">Date de naissance</label>
                                <div class="col-sm-9">
                                    <input class="form-control" id="date" type="date" required />
                                </div>
                            </div>
                            <div class="form-group row">
                                <label for="taille" class="col-sm-3 col-form-label">Taille</label>
                                <div class="col-sm-9">
                                    <input class="form-control" placeholder="Taille (cm)" type="number" required />
                                </div>
                            </div>
                            <div class="form-group row">
                                <label for="poids" class="col-sm-3 col-form-label">Poids</label>
                                <div class="col-sm-9">
                                    <input class="form-control" placeholder="Poids (kg)" type="number" required />
                                </div>
                            </div>
                            <div class="form-group row">
                                <label for="sexe" class="col-sm-3 col-form-label">Sexe</label>
                                <div class="col-sm-9">
                                    <select class="form-control">
                                        <option value="">(Choisissez en un)</option>
                                        <option value="1">Femme</option>
                                        <option value="2">Homme</option>
                                        <option value="3">Personne non binaire</option>
                                        <option value="4">Préfère ne pas répondre</option>
                                    </select>
                                </div>
                            </div>
                            <div class="form-group row">
                                <label for="email" class="col-sm-3 col-form-label">Email</label>
                                <div class="col-sm-9">
                                    <input class="form-control" placeholder="email@example.com" type="email" required />
                                </div>
                            </div>
                            <div class="form-group row">
                                <label for="new-password" class="col-sm-3 col-form-label">Saisissez votre mot de passe actuel</label>
                                <div class="col-sm-9">
                                    <input class="form-control" placeholder="Saisissez votre mot de passe actuel" type="password" pattern="[a-zA-Z0-9]{8,}" required />
                                </div>
                            </div>
                            <div class="form-group row">
                                <label for="new-password" class="col-sm-3 col-form-label">Saisissez votre nouveau mot de passe</label>
                                <div class="col-sm-9">
                                    <input class="form-control" placeholder="Saisissez votre nouveau mot de passe" type="password" pattern="[a-zA-Z0-9]{8,}" required />
                                </div>
                            </div>
                        </fieldset>
                        <div class="form-group">
                            <button class="form-control" type="submit" value="Submit">Modifier</button>
                        </div>
                    </div>
                </form>
            </div>
        </main>
    </body>
</html>